DOVEADM-INDEX(1)

NAME
doveadm-index - Index mailboxes

SYNOPSIS

doveadm [GLOBAL OPTIONS] index [-S socket_path] -A [-q] [-n max_recent] mailbox

doveadm [GLOBAL OPTIONS] index [-S socket_path] -F file [-q] [-n max_recent] mailbox

doveadm [GLOBAL OPTIONS] index [-S socket_path] --no-userdb-lookup [-q] [-n max_recent] mailbox

doveadm [GLOBAL OPTIONS] index [-S socket_path] -u user [-q] [-n max_recent] mailbox

DESCRIPTION

Add unindexed messages in a mailbox into index/cache file. If full text search is enabled, also add unindexed messages to the fts database.

The caching adds only the fields that were previously added to the mailbox's caching decisions, so it won't do anything useful for mailboxes that user's client hasn't accessed yet. You can use doveadm dump command to show a specific mailbox's current caching decisions.

Messages can also be added automatically to full text search index using:

    fts_autoindex = yes

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

OPTIONS

-A

        If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

        When the SQL userdb module is used, make sure that the userdb_sql_iterate_query setting setting matches your database layout.

        When using the LDAP userdb module, make sure that the userdb_fields setting and userdb_ldap_iterate_fields setting settings match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file

        Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

-n max_recent

        An integer value, which specifies the maximum number of \Recent messages in mailboxes. If the mailbox contains more than max_recent messages with \Recent flag set, the mailbox will not be indexed. This may be useful to avoid unnecessary indexing for large mailboxes that are never opened.

--no-userdb-lookup

        Do not perform userdb lookup. Use the USER environment variable to specify the username.

-q

        Queues the indexing to be run by indexer process. Without -q the indexing is done directly by the doveadm(1) process. Some drivers can't handle multiple processes updating the indexes simultaneously, so -q should usually be used on production.

-S socket_path

        The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

        This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask

        Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

ARGUMENTS

mailbox

        The name of the mailbox to index.

EXAMPLE

Index bob's INBOX:

    doveadm index -u bob INBOX

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)